CALCULATOR

A simple Python-based calculator for basic arithmetic operations.

FEATURES

    Basic arithmetic operations: addition, subtraction, multiplication, division.
    Supports floating-point calculations.
    Provides functionality to compute roots.
    Maintains a running memory for chained operations.

INSTALLATION

    Ensure you have Python installed. You can download it from the official Python website.
    Clone this repository or download the source code:
    git clone https://github.com/your_username/calculator.git
    Navigate to the project directory.
    (Optional) Install any required packages or dependencies if mentioned.

USAGE

Creating an instance:

From your Python script or terminal:
from calculator import Calculator
calc = Calculator()

Performing Operations:

    Add number:
    result = calc.add(5)
    Subtract number:
    result = calc.subtract(3)
    Multiply by a number:
    result = calc.multiply(4)
    Divide by a number:
    result = calc.divide(6)
    Compute square root:
    root = calc.root(2)

Error Handling:

The calculator raises specific errors for certain conditions, like division by zero or attempting to compute even roots of negative numbers.

For example:
try:
    result = calc.divide(0)
except ValueError:
    print("Cannot divide by zero!")

LICENSING

The code in this project is licensed under MIT license.